Support » Plugin: Sucuri Security - Auditing, Malware Scanner and Security Hardening » It's a good plugin, but the last update has caused trouble.

  • It’s not allowing me to get the API it’s demanding, nor giving me a good explanation of how to solve the problem.

    “Sucuri: Something went wrong with an API call (register_site action): SSL certificate problem: self signed certificate in certificate chain”

Viewing 2 replies - 1 through 2 (of 2 total)
  • yorman

    (@yorman)

    Yes, some error messages may seem cryptic but that’s because I’m using a recursive function to handle all the errors reported by the API service and mix them with the built-in WordPress functions wp_remote_post and wp_remote_get.

    In this case, the message is referring to an argument passed to the wp_remote_post function specifying that the SSL certificate needs to be verified when the request is sent.

    wp_remote_post( URL, array(
      ...
      'sslverify' => TRUE,
    ))

    I will fix this in the next version. Thanks for the feedback.

    yorman

    (@yorman)

    @remittancegirl I want to let you know that I just added an option in the plugin’s settings page to stop the SSL certificate verification, be aware that disabling this may lead to “Man in the Middle” attacks.

    Also, I will recommend you to (the next time) create a support ticket, not a review; that way other users will be able to see if this was a known issue and if it was fixed.

    Changeset committed at 953614.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘It's a good plugin, but the last update has caused trouble.’ is closed to new replies.